Delete Provider Integration
curl --request DELETE \
--url https://api.example.com/api/v1/public/provider-integrations/{providerId} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.example.com/api/v1/public/provider-integrations/{providerId}"
headers = {
"Authorization": "<authorization>",
"Content-Type": "<content-type>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: '<authorization>', 'Content-Type': '<content-type>'}
};
fetch('https://api.example.com/api/v1/public/provider-integrations/{providerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Provider integration deleted successfully",
"data": {
"id": "a8f39791-60ec-45a6-beb9-ead8f8d859af",
"name": "provider-integrations-name",
"providerCode": "SLACK"
}
}
Provider APIs
Delete Provider Integration
API to delete an existing provider integration from Siren
DELETE
/
api
/
v1
/
public
/
provider-integrations
/
{providerId}
Delete Provider Integration
Header
string
required
string
required
Path Parameters
string
required
Response
{
"success": true,
"message": "Provider integration deleted successfully",
"data": {
"id": "a8f39791-60ec-45a6-beb9-ead8f8d859af",
"name": "provider-integrations-name",
"providerCode": "SLACK"
}
}
Status Codes
200 - OK: Provider integration deleted successfully401 - Unauthorized: Invalid or missing authentication404 - Not Found: Provider integration not found500 - Internal Server Error: Failed to delete provider integration
cURL Example
curl --location --request DELETE 'https://api.trysiren.io/api/v1/public/provider-integrations/a8f39791-60ec-45a6-beb9-ead8f8d859af' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer bd9d07a8073a41eca003e5f0a841db7c'
Was this page helpful?
⌘I